#
# Spec file for ocfs-tools
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0
# Because RH defines lib64 on ppc32 builds
%ifarch ppc
%define brokenrhlibdir /usr/lib
%else
%define brokenrhlibdir %{_libdir}
%endif
%define chkconfig_dep chkconfig
%define pygtk_name pygtk2
%define pyversion 2.4
%define compile_py 1

Summary: Tools for managing the Oracle Cluster Filesystem 2
Name: ocfs2-tools
Version: 1.4.1
Release: 1%{?dist}
License: GPL
Group: System Environment/Kernel
Source: ocfs2-tools-%{version}.tar.gz
Patch1: ocfs2-tools-1.4.1-ocfs2_init.patch
Patch2: ocfs2-tools-1.4.1-ia64.patch
URL: http://oss.oracle.com/projects/ocfs2-tools/
Exclusiveos: Linux
Requires: bash, coreutils, net-tools, modutils, e2fsprogs, %{chkconfig_dep}, glib2 >= 2.2.3
BuildRequires: e2fsprogs-devel, glib2-devel >= 2.2.3, %{pygtk_name} >= 1.99.16, python-devel >= %{pyversion}

BuildRoot: %{_tmppath}/ocfs2-tools-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root

%description
Tools to manage Oracle Cluster Filesystem 2 volumes.


%package -n ocfs2console
Summary: GUI frontend for OCFS2 management
Group: System Environment/Kernel
Requires: e2fsprogs, glib2 >= 2.2.3, vte >= 0.11.10, %{pygtk_name} >= 1.99.16, python >= %{pyversion}, ocfs2-tools = %{version}
AutoReqProv: No


%description -n ocfs2console
GUI frontend for management and debugging of Oracle Cluster Filesystem 2
volumes.



%package -n ocfs2-tools-devel
Summary: Headers and static archives for ocfs2-tools
Group: Development/Libraries
Requires: e2fsprogs-devel, glib2-devel >= 2.2.3, ocfs2-tools = %{version}
AutoReqProv: No

%description -n ocfs2-tools-devel
ocfs2-tools-devel contains the libraries and header files needed to
develop ocfs2 filesystem-specific programs.



%prep
%setup -q -n ocfs2-tools-%{version}
%patch1 -p1
%ifarch ia64
%patch2 -p1
%endif

%build
%configure --disable-debug --prefix=/usr --mandir=/usr/share/man --libdir=%{brokenrhlibdir}
make


%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -f vendor/common/o2cb.init $RPM_BUILD_ROOT/etc/init.d/o2cb
cp -f vendor/common/ocfs2.init $RPM_BUILD_ROOT/etc/init.d/ocfs2
if [ -f /etc/asianux-release ]
then
    # Asianux chkconfig is completely and utterly broken
    perl -p -i -e 'BEGIN() { $k=0;}  if (/^###/) { $k++ } elsif ($k == 1) { printf "#"};' $RPM_BUILD_ROOT/etc/init.d/o2cb
    perl -p -i -e 'BEGIN() { $k=0;}  if (/^###/) { $k++ } elsif ($k == 1) { printf "#"};' $RPM_BUILD_ROOT/etc/init.d/ocfs2
fi
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f vendor/common/o2cb.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/o2cb

make DESTDIR="$RPM_BUILD_ROOT" install

%if %{compile_py}
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/%{brokenrhlibdir}/python%{pyversion}/site-packages/ocfs2interface', ddir='%{brokenrhlibdir}/python%{pyversion}/site-packages/ocfs2interface')"
%endif


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
/sbin/chkconfig --add o2cb >/dev/null
/sbin/chkconfig --add ocfs2 >/dev/null

%preun
if [ $1 = 0 ]; then     # execute this only if we are NOT doing an upgrade
	/etc/init.d/ocfs2 stop > /dev/null 2>&1
	/etc/init.d/o2cb stop > /dev/null 2>&1
	/sbin/chkconfig --del ocfs2 >/dev/null
	/sbin/chkconfig --del o2cb >/dev/null
fi

%files
%defattr(-,root,root)
%doc README.O2CB COPYING CREDITS MAINTAINERS
%doc documentation/users_guide.txt
/sbin/fsck.ocfs2
/sbin/mkfs.ocfs2
/sbin/mounted.ocfs2
/sbin/tunefs.ocfs2
/sbin/debugfs.ocfs2
/sbin/o2cb_ctl
/sbin/o2image
/sbin/mount.ocfs2
/sbin/ocfs2_hb_ctl
/etc/init.d/o2cb
/etc/init.d/ocfs2
%config /etc/sysconfig/o2cb
/usr/share/man/man7/o2cb.7.gz
/usr/share/man/man8/debugfs.ocfs2.8.gz
/usr/share/man/man8/fsck.ocfs2.8.gz
/usr/share/man/man8/fsck.ocfs2.checks.8.gz
/usr/share/man/man8/mkfs.ocfs2.8.gz
/usr/share/man/man8/tunefs.ocfs2.8.gz
/usr/share/man/man8/mount.ocfs2.8.gz
/usr/share/man/man8/mounted.ocfs2.8.gz
/usr/share/man/man8/o2cb_ctl.8.gz
/usr/share/man/man8/o2image.8.gz
/usr/share/man/man8/ocfs2_hb_ctl.8.gz


%files -n ocfs2console
%defattr(-,root,root)
%{brokenrhlibdir}/python%{pyversion}/site-packages/ocfs2interface
/usr/sbin/ocfs2console
/usr/share/man/man8/ocfs2console.8.gz

%files -n ocfs2-tools-devel
%defattr(-,root,root)
%{brokenrhlibdir}/*.a
%{brokenrhlibdir}/pkgconfig/*.pc
%{_includedir}/o2cb
%{_includedir}/o2dlm
%{_includedir}/ocfs2
%{_includedir}/ocfs2-kernel


%changelog
* Fri Jun 05 2009 Hua Jie <jie.hua@asianux.com> 1.4.1-1%{?dist}
- update to 1.4.1 (AXBug #6398)
- modify ocfs2 service file(patch1)
- correct building problem for only ia64(patch2)

* Thu Jul 12 2007 Ryoji Kamei <kamei@miraclelinux.com>
- Version up from 1.2.4 to 1.2.6

* Mon Apr 16 2007 Yuji Oishi <yoishi@miraclelinux.com>
- Add macros %{chkconfig_dep}, %{pygtk_name}, %{pyversion} and %{compile_py}.
- Delete "Distribution", "Vendor" and "Packager" lines. 

* Thu Jan 27 2005 Manish Singh <manish.singh@oracle.com>
- Add ocfs2console

* Fri Jan 21 2005 Manish Singh <manish.singh@oracle.com>
- Initial rpm spec
